conf = configuration_data()
version_arr = meson.project_version().split('.')
conf.set('PROJECT_VERSION_MAJOR', version_arr[0])
conf.set('PROJECT_VERSION_MINOR', version_arr[1])
conf.set('PROJECT_VERSION_PATCH', version_arr[2])

project_config_file = configure_file(
	input: 'vectorwrapper.hpp.in',
	output: '@BASENAME@',
	configuration: conf,
	format: 'cmake',
	install: false,
)
